Foreman - Bug #29143

Locked provisioning template should not be allowed to add audit comment
02/24/2020 03:37 PM - Oleh Fedorenko

Status: Closed

Priority: Normal
Assignee: Oleh Fedorenko
Category: Templates

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: 1805678 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7466
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1805678

Description of problem:

GoTo Hosts -> Provisioning Template -> Select/Click a provisioning template (Locked) -> Add audit comment. This is successful. It
should not allow to add the audit comment on the locked template.

Version-Release number of selected component (if applicable):
6.7

How reproducible:
Always

Steps to Reproduce:

1. GoTo Hosts -> Provisioning Template

2. Select/Click a provisioning template (Locked)
3. Add audit comment

Actual results:
Successfully updated template name

Expected results:

Unable to save

This template is locked. Please clone it to a new template to customize.
Additional info:

This is working as expected in case of report template with a similar feature.

However, a suggestion is to disable the "Audit Comment" textbox if the template is locked.

Associated revisions

Revision 0c647a04 - 03/09/2020 11:55 AM - Oleh Fedorenko
Fixes #29143 - Lock audit comment for locked templates (#7466)

History

#1 - 02/24/2020 03:38 PM - Oleh Fedorenko
- Category changed from TFTP to Templates
- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

- Triaged changed from No to Yes
https://bugzilla.redhat.com/show_bug.cgi?id=1805678

#2 - 02/24/2020 03:58 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7466 added

#3 - 03/09/2020 11:56 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 03/09/2020 12:01 PM - Oleh Fedorenko
- Status changed from Ready For Testing to Closed

Applied in changeset 0c647a041fdb448fabc066c2e7e289c6b97462a5.
